package com.zjyr.beidouservice.adapter.impl.netty.notify;

import com.zjyr.beidouservice.common.impl.SocketEventName;
import io.netty.channel.Channel;
import lombok.Getter;
import lombok.Setter;
import org.springframework.context.ApplicationEvent;

@Setter
@Getter
public class SocketNotifyEvent extends ApplicationEvent {
    private int             timeStamp;
    private Object          evtMessage;
    private SocketEventName socketEvent;
    private Channel         ctxChannel;

    public SocketNotifyEvent(Object source, Channel ctx, int timeStamp, SocketEventName evtType, Object evtMessage) {
        super(source);
        this.socketEvent = evtType;
        this.evtMessage  = evtMessage;
        this.ctxChannel  = ctx;
        this.timeStamp   = timeStamp;
    }

    public SocketNotifyEvent(Object source, Channel ctx, SocketEventName evtType, Object evtMessage) {
        super(source);
        this.socketEvent = evtType;
        this.evtMessage  = evtMessage;
        this.ctxChannel  = ctx;
        this.timeStamp   = (int) (System.currentTimeMillis() / 1000);
    }
}
