package com.zjyr.beidouservice.constenum;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

@Getter
@AllArgsConstructor
public enum AlarmTypeEnum {
    DIAN_DONG_ALARM(1, "电动警报"),
    DIAN_SHENG_ALARM(2, "电声警报"),
    DI_DONG_ALARM(3, "气动警报"),
    OTHER_ALARM(4, "其他");


    private final Integer code;
    private final String  msg;

    public static String getByCode(Integer code) {
        AlarmTypeEnum[] values = AlarmTypeEnum.values();
        for (AlarmTypeEnum v : values) {
            if (code.equals(v.getCode())) {
                return v.getMsg();
            }
        }
        return null;
    }

    public static List<Integer> getAllCodes() {
        AlarmTypeEnum[] values = AlarmTypeEnum.values();
        List<Integer>   codes  = new ArrayList<>();
        for (AlarmTypeEnum v : values) {
            codes.add(v.getCode());
        }
        return codes;
    }

}
