package com.zjyr.beidouservice.constenum;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

@Getter
@AllArgsConstructor
public enum ManufacturerTypeEnum {
    MANUFACTURER_OULI(0, "欧丽"),
    MANUFACTURER_XIAMEN_RIHUA(1, "厦门日化"),
    MANUFACTURER_NANJING_HOUHUA_(2, "南京厚华"),
    ;


    private final Integer code;

    private final String msg;


    public static String getByCode(Integer code) {
        ManufacturerTypeEnum[] values = ManufacturerTypeEnum.values();
        for (ManufacturerTypeEnum v : values) {
            if (code.equals(v.getCode())) {
                return v.getMsg();
            }
        }
        return null;
    }

    public static List<Integer> getAllCodes() {
        ManufacturerTypeEnum[] values = ManufacturerTypeEnum.values();
        List<Integer>          codes  = new ArrayList<>();
        for (ManufacturerTypeEnum v : values) {
            codes.add(v.getCode());
        }
        return codes;
    }
}
