package com.zjyr.beidouservice.controller;

import com.zjyr.beidouservice.common.impl.AlarmControlTypeName;
import com.zjyr.beidouservice.common.impl.AlarmModeName;
import com.zjyr.beidouservice.common.impl.AlarmTypeName;
import com.zjyr.beidouservice.common.impl.SensorControlTunnelName;
import com.zjyr.beidouservice.pojo.dto.BaseProtocolDTO;
import com.zjyr.beidouservice.pojo.dto.GetUserConfig;
import com.zjyr.beidouservice.pojo.vo.binary.SensorControlProtocol;
import com.zjyr.beidouservice.service.AdapterProtocolService;
import com.zjyr.beidouservice.service.BaidouAdapterService;
import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.HttpHeaders;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.ResponseBody;

import java.text.ParsePosition;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;

@Controller
//@RequestMapping(value = "/auth")
@Slf4j
public class AuthUser {
    @Resource
    BaidouAdapterService baidouAdapterService;

    @Resource
    AdapterProtocolService adapterProtocolService;

    @GetMapping("third")
    @ResponseBody
    public String third(String name, Integer age) {
        log.info("User " + name + ", Age: " + age);
        return "success";
    }

    @PostMapping("/sensor/control")
    @ResponseBody
    public String getUserConfig(@RequestBody BaseProtocolDTO<GetUserConfig> mr, @RequestHeader HttpHeaders headers) {
        SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        ParsePosition    pos       = new ParsePosition(0);
        Date             strtodate = formatter.parse("2023-08-30 18:24:30", pos);

        SensorControlProtocol sensorPro = adapterProtocolService.createSensorControlProtocol(1024,
                                                                                             AlarmModeName.ALARM_MODE_MANUALLY,
                                                                                             AlarmControlTypeName.ALARM_CONTROL_TYPE_TEST_QUITE,
                                                                                             AlarmTypeName.ALARM_TYPE_AIRATTACK,
                                                                                             SensorControlTunnelName.TUNNEL_BEIDOU.getValue() |
                                                                                             SensorControlTunnelName.TUNNEL_WIRELESS.getValue(),
                                                                                             strtodate,
                                                                                             new ArrayList<>(),
                                                                                             new ArrayList<>(),
                                                                                             new ArrayList<>(Arrays.asList(0, 1, 2, 3)));
        Long id = baidouAdapterService.getAllAdapter().get(0).getId();
        baidouAdapterService.sendCommond(id, sensorPro);

        return "{\"result\": 0}";
    }

    @PostMapping("/getserverconfig")
    @ResponseBody
    public String getServerConfig(@RequestBody BaseProtocolDTO<GetUserConfig> mr, @RequestHeader HttpHeaders headers) {
        return """
               {
                 "ver": 1,
                 "cryptoType": 0,
                 "timeStamp": 1688954003,
                 "code": 0,
                 "msgContent": {
                   "svrListenPort": 10001,
                   "svrPrivateKey": "2HyQfL2Na76JuI68ozEMK0LA6coV98GjMW6aZG6AnEA=",
                   "svrAddress": "10.10.10.2/24"
                 }
               }""";
    }
}
