package com.zjyr.beidouservice.controller;

import com.zjyr.beidouservice.pojo.MyResp;
import com.zjyr.beidouservice.pojo.dto.DevTaskExecRespDTO;
import com.zjyr.beidouservice.pojo.dto.DeviceTaskExecReqDTO;
import com.zjyr.beidouservice.pojo.dto.DeviceTaskRespDTO;
import com.zjyr.beidouservice.service.DeviceTaskService;
import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/")
@Validated
@Slf4j
public class DeviceTaskController {

    @Resource
    DeviceTaskService deviceTaskService;


    @PostMapping("task/info")
    public MyResp<List<DeviceTaskRespDTO>> getDeviceTaskInfo() {
        List<DeviceTaskRespDTO> deviceTaskRespDTOS = deviceTaskService.getDeviceTaskInfo();
        return MyResp.success(deviceTaskRespDTOS);
    }

    @PostMapping("task/exec")
    public MyResp<DevTaskExecRespDTO> deviceTaskExec(DeviceTaskExecReqDTO deviceTaskExecReqDTO) {
        DevTaskExecRespDTO deviceTaskExecResp = deviceTaskService.deviceTaskExec(deviceTaskExecReqDTO);
        return MyResp.success(deviceTaskExecResp);
    }

}
