package com.zjyr.beidouservice.pojo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MyResp<T> {

    private int    code = Resp.SUCCESS.getCede();
    private String msg;
    private T      data;

    public static MyResp build() {
        return new MyResp();
    }

    public static MyResp result(Resp resp) {
        return MyResp.builder().code(resp.getCede()).msg(resp.getMsg()).build();
    }

    public static <T> MyResp success(T data) {
        return MyResp.builder().code(Resp.SUCCESS.getCede()).msg(Resp.SUCCESS.getMsg()).data(data).build();
    }

    public static MyResp error(Resp respEnum) {
        return MyResp.builder().code(respEnum.getCede()).msg(respEnum.getMsg()).build();
    }
}
