package com.zjyr.beidouservice.pojo.entry;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import com.zjyr.beidouservice.common.impl.BeidouAdapterTypeName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import tk.mybatis.mapper.annotation.KeySql;
import tk.mybatis.mapper.annotation.NameStyle;
import tk.mybatis.mapper.code.Style;

import javax.persistence.Id;
import javax.persistence.Table;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder(alphabetic = true)
@Table(name = "control_device")
@NameStyle(Style.normal)
public class ControlDevice {
    @Id
    @KeySql(useGeneratedKeys = true)
    private Long                  id;
    private BeidouAdapterTypeName deviceType;
    private String                deviceAddr;

    private Integer sendEnabled;

    private Integer beidouStatus;

    private String beidouChannelStatus;

    private String  beidouSignalStrength;
    private Integer wirelessStatus;
    private Integer telphoneStatus;
}
