package com.zjyr.beidouservice.pojo.entry;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import com.zjyr.beidouservice.common.impl.SensorControlTunnelName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import tk.mybatis.mapper.annotation.KeySql;
import tk.mybatis.mapper.annotation.NameStyle;
import tk.mybatis.mapper.code.Style;

import javax.persistence.Id;
import javax.persistence.Table;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder(alphabetic = true)
@Table(name = "sonsor_data")
@NameStyle(Style.normal)
public class SensorData {
    @Id
    @KeySql(useGeneratedKeys = true)
    private Long                    id;
    private Integer                 deviceId;
    private SensorControlTunnelName channelType;
    private Integer                 command;
    private Integer                 startAddr;
    private Integer                 dtInfo;
    private Integer                 warrningStatus;
    private Integer                 emergStatus;
    private Integer                 spearkStatus;
    private Integer                 runStatus;
    private String                  signalStrength;
    private String                  beidouId;
}
