package com.zjyr.beidouservice.mapper;

import com.zjyr.beidouservice.common.impl.BeidouAdapterTypeName;
import com.zjyr.beidouservice.pojo.entry.ControlDevice;
import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.annotation.DirtiesContext;

import java.util.List;

@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@Slf4j
@DirtiesContext(classMode = DirtiesContext.ClassMode.AFTER_CLASS)
//@Transactional
//@Rollback
public class ControlDeviceMapperTest {
    @Resource
    private ControlDeviceMapper controlDeviceMapper;

    @Test
    public void a1_getAllControlDevice() {
        List<ControlDevice> typeList = controlDeviceMapper.selectAll();
        Assertions.assertNotEquals(typeList.size(), 0);
    }

    @Test
    public void a2_addControlDevice() {
        ControlDevice dev = ControlDevice.builder().deviceType(BeidouAdapterTypeName.ADAPTER_SOCKET_TCP).deviceAddr(
                "127.0.0.2").build();
        int           i   = controlDeviceMapper.addControlDevice(dev);
        System.out.println("Add " + i);
    }
}
